Docs

Get Tasks By Crew

GET /tasks/crew/{crewId}

GET/tasks/crew/{crewId}

Lists the tasks assigned to one crew member, including subtasks whose parent task is assigned to them, in the same shape as ProjectManagement_GetTasks. The crew id comes from Crew_GetCrew; needs an event token and event basic access.

Path Parameters

FieldTypeRequiredDescription
crewIduuidRequired

Response

Type: GetTasksByCrewResponse[]

GetTasksByCrewResponse

FieldTypeDescription
iduuid
namestring| null
statusIduuid| null
startDateTimedate-time| null
endDateTimedate-time| null
descriptionstring| null
prioritystring| null
indexinteger
parentIduuid| null
phaseIduuid| null
sourcestring| null
sourceTypestring| null
sourceEntityIduuid| null
sourceContextIduuid| null
sourceNavigationIduuid| null
assigneesGetTasksByCrewResponseAssigneesList
reviewersGetTasksByCrewResponseCrewMember[]| null
attributesGetTasksByCrewResponseAttribute[]| null
reviewsGetTasksByCrewResponseReview[]| null
commentsGetTasksByCrewResponseComment[]| null
dependentsuuid[]| null
dependsOnuuid[]| null

GetTasksByCrewResponseAssigneesList

FieldTypeDescription
crewMembersGetTasksByCrewResponseCrewMember[]| null
collaboratorsGetTasksByCrewResponseCollab[]| null

GetTasksByCrewResponseCrewMember

FieldTypeDescription
iduuid
firstNamestring| null
lastNamestring| null
titlestring| null
connectedUserIduuid| null

GetTasksByCrewResponseAttribute

FieldTypeDescription
attributeIduuid
valuestring| null

GetTasksByCrewResponseReview

FieldTypeDescription
iduuid
crewIduuid
responsestring| null
createdDatedate-time

GetTasksByCrewResponseComment

FieldTypeDescription
iduuid
userIduuid
userNamestring| null
commentTextstring| null
reviewIduuid| null
createdDatedate-time

GetTasksByCrewResponseCollab

FieldTypeDescription
iduuid